extends VBoxContainer

func _ready():
	$OptionButton.add_item('windowned')
	$OptionButton.add_item('borderless')
	$OptionButton.add_item('fullscreen')
	

func _input(event):
	if Input.is_action_just_pressed("opts"):
		get_parent().visible = !get_parent().visible
	if Input.is_action_just_pressed("f12"):
		OS.window_fullscreen = !OS.window_fullscreen


func _on_HSlider_value_changed(value):
	AudioServer.set_bus_volume_db(0,linear2db(value))
	pass # Replace with function body.


func _on_OptionButton_item_selected(index):
	match index:
		0:
			OS.window_fullscreen = false
			OS.window_borderless = false
		1:
			OS.window_fullscreen = false
			OS.window_borderless = true
		2:
			OS.window_fullscreen = true
			OS.window_borderless = false
	pass # Replace with function body.
